Issue 55341 - Underline size too thick with most Thai fonts
Summary: Underline size too thick with most Thai fonts
Status: CLOSED FIXED
Alias: None
Product: gsl
Classification: Code
Component: code (show other issues)
Version: OOO 2.0 Beta2
Hardware: All All
: P3 Trivial (vote)
Target Milestone: OOo 2.0.3
Assignee: stefan.baltzer
QA Contact: issues@gsl
URL:
Keywords:
Depends on:
Blocks: 41707
  Show dependency tree
 
Reported: 2005-10-02 10:33 UTC by jjc
Modified: 2006-05-15 11:39 UTC (History)
4 users (show)

See Also:
Issue Type: DEFECT
Latest Confirmation in: ---
Developer Difficulty: ---


Attachments
Example of ugly underlining (6.10 KB, application/vnd.sun.xml.writer)
2005-10-02 10:35 UTC, jjc
no flags Details

Note You need to log in before you can comment on or make changes to this issue.
Description jjc 2005-10-02 10:33:25 UTC
When using most popular Thai fonts (eg the Windows Angsana and Cordia fonts but
not the Tahoma font), OOo uses far too thick a line for underlining: this looks
very ugly.  This happens on both Windows and Linux.

It seems that vcl computes the underline thickness using a heuristic based on
the descender height, instead of getting it from the font (using the
underlineThickness field of the post table in a Truetype font).  This heuristic
appears to work poorly for typical Thai fonts.
Comment 1 jjc 2005-10-02 10:35:25 UTC
Created attachment 30062 [details]
Example of ugly underlining
Comment 2 stephan_schaefer 2005-10-04 16:07:25 UTC
ssa->hdu: we have these problems with some korean fonts as well. may be you can
come up with a better heuristic or a better suited font parameter that can be used.
Comment 3 hdu@apache.org 2005-12-16 09:06:22 UTC
.
Comment 4 hdu@apache.org 2006-03-14 16:09:58 UTC
.
Comment 5 hdu@apache.org 2006-03-15 07:40:51 UTC
In CWS vcl56 I added a heuristic to handle fonts with relatively big descents
better.
Comment 6 hdu@apache.org 2006-03-27 12:47:21 UTC
HDU->SBA: please verify in CWS vcl56

re-open issue and reassign to sba
Comment 7 hdu@apache.org 2006-03-27 12:47:30 UTC
reassign to sba
Comment 8 hdu@apache.org 2006-03-27 12:47:39 UTC
reset resolution to FIXED
Comment 9 stefan.baltzer 2006-04-03 17:18:56 UTC
SBA: Verified in CWS vcl56.
Comment 10 stefan.baltzer 2006-05-15 11:39:51 UTC
SBA: OK in Build 680m169. Closed.